# PowerShell Script: make-repo.ps1
```powershell
make-repo.ps1 [<repo-dir>]
```

Builds a Git repository supporting cmake,configure,autogen,Imakefile,Makefile

## Syntax & Parameters
```powershell
/home/markus/Repos/PowerShell/Scripts/make-repo.ps1 [[-RepoDir] <String>] [<CommonParameters>]
```

```
-RepoDir <String>
    
    Required?                    false
    Position?                    1
    Default value                "$PWD"
    Accept pipeline input?       false
    Accept wildcard characters?  false
```

```
[<CommonParameters>]
    This cmdlet supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

## Example
```powershell
PS>./make-repo C:\MyRepo
```


## Notes
Author: Markus Fleschutz · License: CC0

## Related Links
https://github.com/fleschutz/PowerShell

*Generated by convert-ps2md.ps1 using the comment-based help of make-repo.ps1*
